Page MenuHomePhabricator

Decomission eventlogging-service-eventbus and clean up related configs and code
Closed, ResolvedPublic13 Story Points

Details

Related Gerrit Patches:
operations/puppet : productionRemove absent job camus eventbus
operations/puppet : productionDon't render camus::job properties file if not ensure => present
operations/puppet : productionRename camus job eventbus to mediawiki_events
operations/puppet : productionRemove absent job eventlogging_eventbus_job_queue
operations/puppet : productionRemove eventbus-admins group users, use cp admins on kafka_main
operations/puppet : productionRename some analytics related eventbus jobs
operations/puppet : productionFix proper cluster assignment for kafka_main
operations/puppet : productionRename 'eventbus' grafana alerts and notes_urls
operations/puppet : productionRename eventbus cluster to kafka_main
operations/puppet : productionRemove unused eventbus puppetization
operations/puppet : productioncalico: remove eventbus fw rules
operations/puppet : productionprofile::eventbus - Declare kafka $config in scope
operations/puppet : productionEnsure eventlogging-service-eventbus is absent
operations/puppet : productionRemove eventbus graphite threshold alert
operations/puppet : productionRemove eventbus LVS hiera entries
operations/puppet : productionRemove profile::lvs::realserver from profile::eventbus
operations/dns : masterRemove eventbus.svc DNS records
operations/puppet : productionRemove LVS/pybal config for eventbus service
operations/puppet : productioneventbus: class service::configuration has no ensure parameter
operations/puppet : productionRemove LVS, discovery, and secondary monitoring of eventbus service
operations/puppet : productionRemove eventbus.discovery
operations/dns : masterRemove eventbus.discovery info
operations/puppet : productionRemove ensure parameter in service::configuration
operations/puppet : productionAdd $ensure params with defaults for eventlogging service - no op
mediawiki/extensions/EventBus : masterRemove LegacyEventFactory.
operations/mediawiki-config : masterRemove references to eventlogging-service.
operations/puppet : productionDecomission eventlogging-service-eventbus in beta / deployment-prep
operations/mediawiki-config : masterRemove eventbus from LabsServices.php

Event Timeline

Ottomata created this task.Sep 5 2019, 4:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2019, 4:32 PM

Change 534637 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/mediawiki-config@master] Remove references to eventlogging-service.

https://gerrit.wikimedia.org/r/534637

Ottomata moved this task from Backlog to Next Up on the Event-Platform board.Sep 5 2019, 5:03 PM

Change 534644 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/EventBus@master] Remove LegacyEventFactory.

https://gerrit.wikimedia.org/r/534644

Ottomata renamed this task from Decomission eventlogging-service-eventbus to Decomission eventlogging-service-eventbus and clean up related configs and code.Sep 5 2019, 5:06 PM
fdans triaged this task as High priority.Sep 9 2019, 3:55 PM
fdans added a project: Analytics-Kanban.
fdans moved this task from Incoming to Operational Excellence on the Analytics board.

Change 535265 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] Remove eventbus from LabsServices.php

https://gerrit.wikimedia.org/r/535265

Change 535265 abandoned by Ottomata:
Remove eventbus from LabsServices.php

Reason:
Ohh well:

15:04:56 1) WmfConfigServicesTest::testCrossRealmCompatibility
15:04:56 service keys for labs/eqiad
15:04:56 Failed asserting that two strings are identical.
15:04:56 --- Expected
15:04:56 Actual
15:04:56 @@ @@
15:04:56 etcd
15:04:56 -eventbus

https://gerrit.wikimedia.org/r/535265

Change 535269 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Decomission eventlogging-service-eventbus in beta / deployment-prep

https://gerrit.wikimedia.org/r/535269

Change 535269 merged by Ottomata:
[operations/puppet@production] Decomission eventlogging-service-eventbus in beta / deployment-prep

https://gerrit.wikimedia.org/r/535269

eventlogging-service-eventubs decommed in beta!

Change 534637 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove references to eventlogging-service.

https://gerrit.wikimedia.org/r/534637

Mentioned in SAL (#wikimedia-operations) [2019-09-10T17:55:08Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: T232122 Remove use of eventlogging-service (duration: 01m 03s)

Mentioned in SAL (#wikimedia-operations) [2019-09-10T17:56:45Z] <jforrester@deploy1001> Synchronized wmf-config/ProductionServices.php: T232122 Stop setting production value for eventlogging-service (duration: 01m 00s)

Change 535664 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Add $ensure params with defaults for eventlogging service - no op

https://gerrit.wikimedia.org/r/535664

Change 535664 merged by Ottomata:
[operations/puppet@production] Add $ensure params with defaults for eventlogging service - no op

https://gerrit.wikimedia.org/r/535664

Change 535669 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Remove LVS, discovery, and secondary monitoring of eventbus service

https://gerrit.wikimedia.org/r/535669

Change 534644 merged by jenkins-bot:
[mediawiki/extensions/EventBus@master] Remove LegacyEventFactory.

https://gerrit.wikimedia.org/r/534644

Change 535848 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Remove ensure parameter in service::configuration

https://gerrit.wikimedia.org/r/535848

Change 535848 merged by Ottomata:
[operations/puppet@production] Remove ensure parameter in service::configuration

https://gerrit.wikimedia.org/r/535848

Change 535852 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/dns@master] Remove eventbus.discovery info

https://gerrit.wikimedia.org/r/535852

Change 535855 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Remove eventbus.discovery

https://gerrit.wikimedia.org/r/535855

Change 535865 had a related patch set uploaded (by Jbond; owner: John Bond):
[operations/puppet@production] eventbus: class service::configuration has no ensure parameter

https://gerrit.wikimedia.org/r/535865

Mentioned in SAL (#wikimedia-operations) [2019-09-11T15:03:01Z] <bblack> downtimed dns-discovery confd health checks for eventbus - T232122

Change 535852 merged by BBlack:
[operations/dns@master] Remove eventbus.discovery info

https://gerrit.wikimedia.org/r/535852

Change 535855 merged by BBlack:
[operations/puppet@production] Remove eventbus.discovery

https://gerrit.wikimedia.org/r/535855

Change 535865 merged by Ottomata:
[operations/puppet@production] eventbus: class service::configuration has no ensure parameter

https://gerrit.wikimedia.org/r/535865

Change 535669 abandoned by Ottomata:
Remove LVS, discovery, and secondary monitoring of eventbus service

https://gerrit.wikimedia.org/r/535669

Change 535872 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Remove LVS/pybal config for eventbus service

https://gerrit.wikimedia.org/r/535872

Change 535872 merged by BBlack:
[operations/puppet@production] Remove LVS/pybal config for eventbus service

https://gerrit.wikimedia.org/r/535872

Change 535882 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Remove profile::lvs::realserver from profile::eventbus

https://gerrit.wikimedia.org/r/535882

Change 535883 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/dns@master] Remove eventbus.svc DNS records

https://gerrit.wikimedia.org/r/535883

Change 535882 merged by Ottomata:
[operations/puppet@production] Remove profile::lvs::realserver from profile::eventbus

https://gerrit.wikimedia.org/r/535882

Change 535883 merged by BBlack:
[operations/dns@master] Remove eventbus.svc DNS records

https://gerrit.wikimedia.org/r/535883

Change 535884 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Remove eventbus LVS hiera entries

https://gerrit.wikimedia.org/r/535884

Change 535884 merged by Ottomata:
[operations/puppet@production] Remove eventbus LVS hiera entries

https://gerrit.wikimedia.org/r/535884

Change 535889 had a related patch set uploaded (by BBlack; owner: BBlack):
[operations/puppet@production] calico: remove eventbus fw rules

https://gerrit.wikimedia.org/r/535889

Change 535920 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Remove eventbus graphite threshold alert

https://gerrit.wikimedia.org/r/535920

Change 535921 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Ensure eventlogging-service-eventbus is absent

https://gerrit.wikimedia.org/r/535921

Change 535920 merged by Ottomata:
[operations/puppet@production] Remove eventbus graphite threshold alert

https://gerrit.wikimedia.org/r/535920

Change 535921 merged by Ottomata:
[operations/puppet@production] Ensure eventlogging-service-eventbus is absent

https://gerrit.wikimedia.org/r/535921

Change 535922 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] profile::eventbus - Declare kafka $config in scope

https://gerrit.wikimedia.org/r/535922

Change 535922 merged by Ottomata:
[operations/puppet@production] profile::eventbus - Declare kafka $config in scope

https://gerrit.wikimedia.org/r/535922

Mentioned in SAL (#wikimedia-operations) [2019-09-11T20:21:18Z] <ottomata> stopped and removed eventlogging-service-eventbus - T232122

Woo hoo, eventlogging-service-eventbus is no more! Still have some various cleanup tasks to do, mostly about renaming things in puppet repo.

Change 535889 merged by Alexandros Kosiaris:
[operations/puppet@production] calico: remove eventbus fw rules

https://gerrit.wikimedia.org/r/535889

Nuria moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Sep 17 2019, 4:02 PM

Change 537645 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Remove admin group eventbus-admins

https://gerrit.wikimedia.org/r/537645

Ottomata moved this task from Next Up to In Progress on the Event-Platform board.Sep 18 2019, 1:51 PM

Change 537648 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Rename eventbus cluster to kafka_main

https://gerrit.wikimedia.org/r/537648

Change 537649 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Remove unused eventbus puppetization

https://gerrit.wikimedia.org/r/537649

Change 537649 merged by Ottomata:
[operations/puppet@production] Remove unused eventbus puppetization

https://gerrit.wikimedia.org/r/537649

Just ran

apt-get purge python-zmq python-tornado python-ua-parser python-urllib3 python-jsonschema python-mysqldb python-graypy python-pygments python-sprockets-mixins-statsd python-snappy python-six python-service-checker python-sqlalchemy python-statsd

on kafka-main* nodes.

Change 537648 merged by Ottomata:
[operations/puppet@production] Rename eventbus cluster to kafka_main

https://gerrit.wikimedia.org/r/537648

Change 537657 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Rename 'eventbus' grafana alerts and notes_urls

https://gerrit.wikimedia.org/r/537657

Change 537657 merged by Ottomata:
[operations/puppet@production] Rename 'eventbus' grafana alerts and notes_urls

https://gerrit.wikimedia.org/r/537657

Change 537664 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Rename some analytics related eventbus jobs

https://gerrit.wikimedia.org/r/537664

Change 537669 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Fix proper cluster assignment for kafka_main

https://gerrit.wikimedia.org/r/537669

Change 537669 merged by Ottomata:
[operations/puppet@production] Fix proper cluster assignment for kafka_main

https://gerrit.wikimedia.org/r/537669

Change 537664 merged by Ottomata:
[operations/puppet@production] Rename some analytics related eventbus jobs

https://gerrit.wikimedia.org/r/537664

Change 537645 merged by Ottomata:
[operations/puppet@production] Remove eventbus-admins group users, use cp admins on kafka_main

https://gerrit.wikimedia.org/r/537645

Change 537679 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Remove absent job eventlogging_eventbus_job_queue

https://gerrit.wikimedia.org/r/537679

Change 537679 merged by Ottomata:
[operations/puppet@production] Remove absent job eventlogging_eventbus_job_queue

https://gerrit.wikimedia.org/r/537679

Change 537681 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Rename camus job eventbus to mediawiki_events

https://gerrit.wikimedia.org/r/537681

Change 537681 merged by Ottomata:
[operations/puppet@production] Rename camus job eventbus to mediawiki_events

https://gerrit.wikimedia.org/r/537681

Change 537687 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Don't render camus::job properties file if not ensure => present

https://gerrit.wikimedia.org/r/537687

Change 537687 merged by Ottomata:
[operations/puppet@production] Don't render camus::job properties file if not ensure => present

https://gerrit.wikimedia.org/r/537687

Change 537688 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Remove absent job camus eventbus

https://gerrit.wikimedia.org/r/537688

Change 537688 merged by Ottomata:
[operations/puppet@production] Remove absent job camus eventbus

https://gerrit.wikimedia.org/r/537688

Phew ok after all those patches, I think we are good with puppet code cleanup!

Ottomata set the point value for this task to 13.
Ottomata moved this task from In Progress to Done on the Event-Platform board.Sep 18 2019, 6:54 PM
Nuria closed this task as Resolved.Sep 19 2019, 6:27 PM